## cong-editor-area-flow-holder-inlines

cong-editor-area-flow-holder-inlines —

## Synopsis

    #define     CONG_EDITOR_AREA_FLOW_HOLDER_INLINES(obj)
    #define     CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_FLOW_HOLDER_INLINES(obj)
    GType       cong_editor_area_flow_holder_inlines_get_type
                                                (void);
    CongEditorArea* cong_editor_area_flow_holder_inlines_construct
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines,
                                                 CongEditorWidget3 *editor_widget);
    CongEditorArea* cong_editor_area_flow_holder_inlines_new
                                                (CongEditorWidget3 *editor_widget);
    CongEditorAreaLine* cong_editor_area_flow_holder_inlines_get_current_line
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    gint        cong_editor_area_flow_holder_inlines_get_line_width
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    gint        cong_editor_area_flow_holder_inlines_get_current_indent
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    void        cong_editor_area_flow_holder_inlines_destroy_lines
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    CongEditorAreaLine* cong_editor_area_flow_holder_inlines_insert_line
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    void        cong_editor_area_flow_holder_inlines_reflow_required
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    CongEditorNode* cong_editor_area_flow_holder_inlines_get_first_node
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    CongEditorNode* cong_editor_area_flow_holder_inlines_get_final_node
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);
    gboolean    cong_editor_area_flow_holder_inlines_contains_editor_node_directly
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines,
                                                 CongEditorNode *editor_node);

## Description

## Details

### CONG_EDITOR_AREA_FLOW_HOLDER_INLINES()

    #define CONG_EDITOR_AREA_FLOW_HOLDER_INLINES(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_TYPE, CongEditorAreaFlowHolderInlines)

`obj` : |

### CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_CLASS()

    #define CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_TYPE, CongEditorAreaFlowHolderInlinesClass)

`klass` : |

### IS_CONG_EDITOR_AREA_FLOW_HOLDER_INLINES()

    #define IS_CONG_EDITOR_AREA_FLOW_HOLDER_INLINES(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_FLOW_HOLDER_INLINES_TYPE)

`obj` : |

### cong_editor_area_flow_holder_inlines_get_type ()

    GType       cong_editor_area_flow_holder_inlines_get_type
                                                (void);

Returns : |

### cong_editor_area_flow_holder_inlines_construct ()

    CongEditorArea* cong_editor_area_flow_holder_inlines_construct
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines,
                                                 CongEditorWidget3 *editor_widget);

TODO: Write me

`area_flow_holder_inlines` : |
`editor_widget` : |
Returns : |

### cong_editor_area_flow_holder_inlines_new ()

    CongEditorArea* cong_editor_area_flow_holder_inlines_new
                                                (CongEditorWidget3 *editor_widget);

TODO: Write me

`editor_widget` : |
Returns : |

### cong_editor_area_flow_holder_inlines_get_current_line ()

    CongEditorAreaLine* cong_editor_area_flow_holder_inlines_get_current_line
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_get_line_width ()

    gint        cong_editor_area_flow_holder_inlines_get_line_width
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_get_current_indent ()

    gint        cong_editor_area_flow_holder_inlines_get_current_indent
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_destroy_lines ()

    void        cong_editor_area_flow_holder_inlines_destroy_lines
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |

### cong_editor_area_flow_holder_inlines_insert_line ()

    CongEditorAreaLine* cong_editor_area_flow_holder_inlines_insert_line
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_reflow_required ()

    void        cong_editor_area_flow_holder_inlines_reflow_required
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |

### cong_editor_area_flow_holder_inlines_get_first_node ()

    CongEditorNode* cong_editor_area_flow_holder_inlines_get_first_node
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_get_final_node ()

    CongEditorNode* cong_editor_area_flow_holder_inlines_get_final_node
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines);

TODO: Write me

`area_flow_holder_inlines` : |
Returns : |

### cong_editor_area_flow_holder_inlines_contains_editor_node_directly ()

    gboolean    cong_editor_area_flow_holder_inlines_contains_editor_node_directly
                                                (CongEditorAreaFlowHolderInlines *area_flow_holder_inlines,
                                                 CongEditorNode *editor_node);

`area_flow_holder_inlines` : |
`editor_node` : |
Returns : |